services:
  mongodb:
    image: mongo:latest
    container_name: mongodb
    ports:
      - '27017:27017'
    volumes:
      - mongo-data:/data/db
    networks:
      - social-network

  backend:
    image: deusbog/backend-social-network
    container_name: backend-social-network
    environment:
      - DATABASE_URL=mongodb://mongodb:27017/social_network
    ports:
      - '8080:8080'
    depends_on:
      - mongodb
    networks:
      - social-network

  frontend:
    image: deusbog/frontend-social-network
    container_name: frontend-social-network
    ports:
      - '3000:3000'
    depends_on:
      - backend
    networks:
      - social-network

volumes:
  mongo-data:

networks:
  social-network:
    driver: bridge
